Get pool OS templates
Retrieve the OS templates that can be installed on a specified GPU pool instance type. Use this endpoint to choose the ostemplateid for a new GPU instance.
Retrieve the OS templates that can be installed on a specified GPU pool instance type.
Use this endpoint to choose the os_template_id for a new GPU instance.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
poolIdintegerRequiredExample:
GPU pool ID
12poolInstanceIdintegerRequiredExample:
GPU pool instance type ID
232Responses
200
Success response
application/json
Array of GPU.V1.OsTemplate.OsTemplateResource
idintegerOptionalExample:
OS template ID
23namestringOptionalExample:
Ubuntu 24.04 with CUDAkb_urlstringOptionalExample:
Knowledge base article about the template
https://support.hostinger.com/os-templates/ubuntu-cudaimagestring · nullableOptionalExample:
Icon image ID
hgpu-app-icon-ubuntudark_image_idstring · nullableOptionalExample:
Dark theme icon image ID
hgpu-app-icon-ubuntu-darklight_image_idstring · nullableOptionalExample:
Light theme icon image ID
hgpu-app-icon-ubuntu-light401
Unauthenticated response
application/json
500
Error response
application/json
get/api/gpu/v1/pools/{poolId}/instances/{poolInstanceId}/os-templates
GET /api/gpu/v1/pools/{poolId}/instances/{poolInstanceId}/os-templates HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": 23,
"name": "Ubuntu 24.04 with CUDA",
"kb_url": "https://support.hostinger.com/os-templates/ubuntu-cuda",
"image": "hgpu-app-icon-ubuntu",
"dark_image_id": "hgpu-app-icon-ubuntu-dark",
"light_image_id": "hgpu-app-icon-ubuntu-light"
}
]Last updated
Was this helpful?